Default [Q] click is not installable

I'm not sure if this is the best place for this, but...

I'm trying to install Ubuntu Touch on my tablet, but i cant even get the desktop-side tools installed. xD

I just installed the latest Ubuntu LTS on my laptop (12.04). I added the ppas needed in the installation manual. Did an apt-get update. Then went to install some packages when

Code:
$ sudo apt-get install phablet-tools android-tools-adb android-tools-fastboot
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 phablet-tools : Depends: click but it is not installable
                 Recommends: imagemagick
                 Recommends: ubuntu-dev-tools but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
Ive never had an "installable" error before, and after some brief searching, all ive gotten is some vague advice like "well the developer has marked it as not installable for some reason" or "maybe a dependency has had a name change". I dont really know anything about this package, why its necessary, and what to do about this error.